Package: java.util

## Interface SortedMap

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `SortedMap` | `asChecked(Class keyType, Class valueType)` Creates a checked view of a SortedMap.
    `SortedMap` | `asImmutable()` A convenience method for creating an immutable SortedMap.
    `SortedMap` | `asSynchronized()` Creates a synchronized view of a SortedMap.
    `SortedMap` | `asUnmodifiable()` Creates an unmodifiable view of a SortedMap.
    `SortedMap` | `sort()` Avoids doing unnecessary work when sorting an already sorted map (i.e. an identity function for an already sorted map).
    `Map` | `toSorted()` Avoids doing unnecessary work when sorting an already sorted map

  - #### Methods inherited from interface java.util.Map

    `any`, `asBoolean`, `asChecked`, `asImmutable`, `asSynchronized`, `asType`, `asUnmodifiable`, `collect`, `collect`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectKeys`, `collectKeys`, `collectMany`, `collectMany`, `collectValues`, `collectValues`, `count`, `count`, `countBy`, `drop`, `dropWhile`, `each`, `eachWithIndex`, `equals`, `every`, `find`, `findAll`, `findResult`, `findResult`, `findResults`, `get`, `getAt`, `groupBy`, `groupBy`, `groupBy`, `groupEntriesBy`, `inject`, `injectAll`, `intersect`, `isCase`, `isNotCase`, `iterator`, `leftShift`, `leftShift`, `max`, `min`, `minus`, `plus`, `plus`, `plus`, `plus`, `putAll`, `putAt`, `removeAll`, `retainAll`, `reverseEach`, `sort`, `sort`, `sort`, `spread`, `subMap`, `subMap`, `take`, `takeWhile`, `toMapString`, `toMapString`, `toSorted`, `toSorted`, `toSorted`, `toSpreadMap`, `withDefault`, `withDefault`

- - ### Methods Detail

    - #### public SortedMap asChecked(Class keyType, Class valueType)

      Creates a checked view of a SortedMap.

      Parameters:
      Since:
        5.0.0
      See Also:
        Collections#checkedSortedMap

    - #### public SortedMap asImmutable()

      A convenience method for creating an immutable SortedMap.

      Returns:
        an unmodifiable view of a copy of the original, i.e. an effectively immutable copy
      Since:
        1.0
      See Also:
        List#asImmutable()
        SortedMap#asUnmodifiable()

    - #### public SortedMap asSynchronized()

      Creates a synchronized view of a SortedMap.

      Returns:
        a synchronized SortedMap
      Since:
        1.0
      See Also:
        Collections#synchronizedSortedMap(java.util.SortedMap)

    - #### public SortedMap asUnmodifiable()

      Creates an unmodifiable view of a SortedMap.

      Returns:
        an unmodifiable view of the SortedMap
      Since:
        2.5.0
      See Also:
        Collections#unmodifiableSortedMap(java.util.SortedMap)
        List#asUnmodifiable()

    - #### public SortedMap sort()

      Avoids doing unnecessary work when sorting an already sorted map (i.e. an identity function for an already sorted map).

      Returns:
        the map
      Since:
        1.8.1

    - #### public Map toSorted()

      Avoids doing unnecessary work when sorting an already sorted map

      Returns:
        an ordered copy of the map
      Since:
        2.4.0